Bug 141726 - [patch] Upgrade mail/mailscanner to 4.79.4
Summary: [patch] Upgrade mail/mailscanner to 4.79.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-17 22:30 UTC by mike.jakubik
Modified: 2009-12-18 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.11 KB, patch)
2009-12-17 22:30 UTC, mike.jakubik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike.jakubik 2009-12-17 22:30:05 UTC
This update finally resolves the annoying taint mode perl problem, which has been preventing people from updating perl (it would only work with old 5.8 and old 5.10 versions).

Thank you Julian for finally fixing this.
Comment 1 mike.jakubik 2009-12-18 16:10:21 UTC
Updated patch to remove warning about perl problems, since its been 
fixed now.

diff -urN mailscanner.orig/Makefile mailscanner/Makefile
--- mailscanner.orig/Makefile   2009-10-19 11:51:19.000000000 -0400
+++ mailscanner/Makefile        2009-12-17 16:33:22.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      MailScanner
-PORTVERSION=   4.78.17
+PORTVERSION=   4.79.4
 CATEGORIES=    mail
 MASTER_SITES=  http://www.mailscanner.info/files/4/tar/
 DISTNAME=      ${PORTNAME}-install-${PORTVERSION}-${PATCHLEVEL}
diff -urN mailscanner.orig/distinfo mailscanner/distinfo
--- mailscanner.orig/distinfo   2009-10-19 11:51:19.000000000 -0400
+++ mailscanner/distinfo        2009-12-17 16:33:59.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (MailScanner-install-4.78.17-1.tar.gz) = 
6c36f2ef4a424afebd82662f3d7be527
-SHA256 (MailScanner-install-4.78.17-1.tar.gz) = 
331008bcb5ba1b742c283ae98a22e5fff8e46e92a2c6b435c8c098b4c39f1b33
-SIZE (MailScanner-install-4.78.17-1.tar.gz) = 9209407
+MD5 (MailScanner-install-4.79.4-1.tar.gz) = 
e4b96629feed215e51b976cc90e47dac
+SHA256 (MailScanner-install-4.79.4-1.tar.gz) = 
6d9906dcafd656ba61f951052f8fa7df04332a168a7b0da6286f26e1ec9fc64d
+SIZE (MailScanner-install-4.79.4-1.tar.gz) = 9159420
diff -urN mailscanner.orig/files/pkg-message.in 
mailscanner/files/pkg-message.in
--- mailscanner.orig/files/pkg-message.in       2009-09-30 
16:36:16.000000000 -0400
+++ mailscanner/files/pkg-message.in    2009-12-18 11:08:57.000000000 -0500
@@ -41,13 +41,4 @@
        Please also always look at the port changelog at
        %%PREFIX%%/share/doc/MailScanner/CHANGES.port
 
-       ************************************************************
-       Some users have reported problems with this port and a
-       previously upgraded port of perl (5.8.8 > 5.8.9). Please
-       ensure you are taking the correct steps when upgrading perl
-       as described in /usr/ports/UPDATING. If you are still
-       having problems, many people have had success by upgrading
-       to perl 5.10 instead.
-       ************************************************************
-
 *************************************************************************
Comment 2 Pav Lucistnik freebsd_committer 2009-12-18 22:05:54 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2009-12-18 22:30:55 UTC
pav         2009-12-18 22:30:47 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo 
    mail/mailscanner/files pkg-message.in 
  Log:
  - Update to 4.79.4
  
  PR:             ports/141726
  Submitted by:   Mike Jakubik <mike.jakubik@intertainservices.com>
  
  Revision  Changes    Path
  1.79      +1 -1      ports/mail/mailscanner/Makefile
  1.52      +3 -3      ports/mail/mailscanner/distinfo
  1.4       +0 -9      ports/mail/mailscanner/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"